Monolix 4.3.3 (2014-09)
Bug fixes:
- bug fix: fixed effects where not correctly initialized when they were not simulated
- bug fix: problems estimating autocorrelation (SAEM) and the corresponding Fisher information matrix
- bug fix: limits of the confidence intervals in VPC 
- bug fix: performance loss on Windows
- bug fix: multiple runs of the Stand Alone version in a Windows ".bat" script lengthened its "PATH" variable. It could get commands ignored for being too long.
- bug fix: dde solver precision in interpolation of delays
- bug fix: On Windows 64 bits, spaces in user account's name prevented the compilation for Mlxtran
- minor bug fix: Display of the version of Monolix in Matlab help
- bug fix: overlooked eliminations in secondary compartments for analytical solutions

Enhancements:
- add configuration option for sysadmin to enforce number of structural model threads and maximum computational matlab threads
- change of the coefficient of simulated annealing
- compatibility with Matlab 2014a
- default naming convention changed to avoid extra use of '_': 
      - covcategory instead of cov_category in parameter names
      - transformed covariates are called as tCov instead of t_Cov
- latent covariate by default are now called lcat, lcat1, etc
- Mlxtran compilation is shielded against system-wide configurations set by compiler g95
- warning for macro "elimination(Cl)" if the volume isn't defined in the base compartment "cmt". The default volume is still "volume=1".

Monolix 4.3.2 (2014-05)
Bug Fixes:
- bug fix: several latent covariates made algorithms crash
- bug fix: Fixed parameters are no longer modified in convergence assessment
- bug fix: in presence of several regresors, the x-label were not correct set in some graphics
- bug fix: datasets with EVID=2 or 3 were not correctly filtered when some subjects did not have observations causing an error
- bug fix: Covariates graphics represented simulated individual parameters untransformed instead of the transformed ones when the simulated ones were chosen
- bug fix: autocorrelations were not correctly bounded when all the subjects had only one observation
- bug fix: license activate with combo
- bug fix: License Manager : when a license already existed (and was not expired), the licence Manager Interface did not download a new license file
- bug fix: License Manager : when a license file from <USERPATH>/lixoft/monolix/license was copied on itself the content of the file was erased
- bug fix: Matlab 2013 compatibility produced a loss of performances

Monolix 4.3.1 (2014-03)
Bugs Fixes:
- bug fix: Matlab 2013 compatibility
- bug fix: the 'TASKS' section of the Monolix project was not correctly parsed when graphicSetting or algorithmSetting contained '_a', '_b', '_c' which are tokens for the error model
- bug fix: Analyical Solution : pkmodel(ka,V,Cl) failed when ka=1,Cl=1 and V=1
- bug fix: tte graphics better grid adjustement
- bug fix: cond.mode estimation in presence of mixtures and other covariates were biased
- bug fix: fisher information matrix estimation could fail when only one parameter were estimated 
- bug fix: SAEM failed when using variances set as "fixed" and covariate dependent variances.
- bug fix: problem preparing results in presence of priors with MAP 
- bug fix: simulation with estimator uncertainty failed in presence of correlations between individual parameters


Enhancements:
- add an option '--log-file' to specify the location of the log file
-results
   -population parameter names where changed to be more consistent with other Lixoft tools like mlXplore
   -tables with estimations are now separated in:
      - estimations.txt population parameters, standard errors (s.e) and relative standard errors (r.s.e)
      - fim_lin.txt Fisher information matrix estimated by linearisation
      - fim_sa.txt  Fisher information matrix estimated by stochastic approximation
   - tables with estimations includes now also the effects for reference categories (fixed to zero).


Monolix 4.3 (2014-02)
Bugs Fixes:
- bug fix: when using estimators uncertainty, the correlations were only simulated in 0,1 (instead of -1,1) .
- bug fix: predictions calculations can take too much time (even hang) in presence of RTTE data
- bug fix: error when removing covariates from the project
- bug fix: error when all the observations of one subject are null in combined2 (Fisher information matrix estimation) 

Enhancements:
  - GUI
     -addition: monolix remembers now the last options selected in simulation interface
     -addition: checkbox for the user to choose among saving the paths as relative or absolute addresses
  - Algo
     - Tables of population parameters and fisher after storing of results
  - Graphics
     - new setting in RTTE graphic : accuracy of grid
     - stratify saved in graphics with projects
     - settings (axes, labels) saved in projects, and stored while using the graphics
     - export of graphics data
  - MLXTran
     - analytical solutions: ODE replaced by analytical solution when keywords (as pkmodel, compartment, ...) are used. This improves the processing time.  
     - DDE solver
     - distribution functions (Student, Log-Normal...)
     - ODE initial values can depend on time 

Monolix 4.2.1 (2013-02-15)
Bugs Fixes:
    - MLXTRAN Project : in STRUCTURAL_MODEL section resolved problem with path relative to %MLXPROJECT%
    - mlxEditor, mlxPerlScript : under Suse Linux OS, conflict with libstdc++ and Qt librairies installed on the OS.
    - Graphics : Kaplan Meier 
        - mean normalization
        - survival curve: case of censured data 
    - simulations where wrong in presence of correlation between individual parameters
    - MLXTRAN Model :
        - Events could be close at a numerical epsilon for the solver, but not for the solver driver
          Rarely, it resulted into an explicit integration failure, returning "NaN"
        - For the simulation of RTTE models, the ordering of the output names had to be alphabetical
        - Not declaring all regression variables that where selected from the data set crashed the application.
        - Declaring some PK without actual doses within the data set raised an error.
        - Using the deprecated syntax with several lagged compartments returned "NaN"
    - Algorithms
    - Error when some subjects had no doses in conditinal mode computation
    - GUI
        - "Display the data" button did not update the information when the dataset was changed after running algorithms
        - Convergence assessment GUI failed when there was only one individual parameter
        - structural models with several dots (.) were not compiled when  clicking in the compile button in the Model selection GUI
        - projects with more outputs in structural model than observations in dataset caused an error when it was loaded
        - the editor was not saved in the preference file
		- Convergence assessment graphics did not handled correctly when there was not variance on some parameters or their covariate dependence
		
Enhancements:
    - add possibility to configure the compiler (used to create Structural Model plugins) through the file 'system.xmlx'
    - user API: 
       - it is now possible to use matlab function "ver" to know Monolix version and Monolix API version
    - mlxEditor:
      - allow multiple files selection on open file dialog box
      - add 'Find and replace'
      - set tabs movable
    - MLXTRAN Model :
        - Continuous observations can be declared within the model.
        - Macro for a depot absorption, with a target ODE component.
    - Permutation kernel for mcmc included
   
Other:
    - Licensing system : '.ini' files desactivated (only the '.lic' files are allowed)
    - residual error models in main interface are now displayed with their full name (those used in MLXTRAN project and model)
--------------

  Monolix 4.2.0 (2012-11-26)

Bugs Fixes:
    - MLXTRAN Project : in OBSERVATION section when a prediction has the same name as an individual parameter the project parses fail
    - PerlScript : bug with parameter '--use-matlab=false' was taken as 'true'
    - Identity line works in observations vs predictions graphic
    - Prediction distribution : percentiles are correctly displayed
    - Color when stratify in covariables graphic
    - Problem with prior (by default prior is Variance and not Standard Deviation, this implies a syntax error (standardDeviation <-> variance) 
    - Wrong data file for the demonstration project rtteWeibullCount_project.mlxtran
    - "Display the data" button did not work
    - bug when unchecking and checking "random effects" variability in simulation interface

Enhancements:
    - Interval censoring for continous data
    - Extended priors on fixed effects
    - Mlxtran model and Mlxtran project editor
    - Perl script HMI
    - Autosave
    - Multiple covariate definitions
    - Add batch-mode demo
    - Add a doc package and a rlm server package (floating license server)
    - Graphic
        - BLQ graphic : possibility to choose its own interval of censored data
        - Reorganisation of panel for the list of graphics
        - Background color for each graphic in preferences
        - When split, limits are the same  for all axes
        - Obs. vs Pred., observations can be relied by individual
        - Optimal bandwidth setting for parameter distribution
        - CvSaem graphic : choice of axes number
    - Interval-censored data and maximum number of events for time-to-event and drop-out data models
    - Markov chain for categorical data
    - Continuous-time Markov process for categorical data
    - probit and normal cdf for Mlxtran model
    - New user API including simulation-estimation, convergence assessment and simulations tools
    - Possibility to define new covariates as transformation of already defined ones
    
New graphics:
    - Posterior and prior functions for bayesian
    - Individual contribution for the LL
    - Transition probabilities
    - Kaplan-Meier survival function
    
New tables:
    - Individual contribution to log-likelihood
    - Covariates summary
--------------

  Monolix 4.1.4 (2012-07-16)

Bugs Fixes:
    - Saving preferences from tools menu failed.
    - Display remaining time (license) correctly.
    - Problem with license activation file path.
    - Add license agreement into Linux installer.
    - The horizontal slider in "Check initial fixed effects" interface did not appear for some number of individual parameters.

Enhancements:
    - Windows 64 RC.
    - Management of the maximum number of threads for MLXTran models (can be set from the preference tools: MonolixGUI->Tools->Preference) 
    - License activate: inform user to not set activation key
      if the license is a floating license.
    - Documentation : 
        * Installation guide : Windows 64 bits.
        * User Guide : Cluster section revised.
        * Model MLxTRAN : list of keywords of the language.


--------------

  Monolix 4.1.3-sp2 (2012-05-29)

Enhancements:
    - system.xmlx : possibility to hide Lixoft Activate display.
    - Lixoft Activate : add the possibility to send an email with encoded computer information to create license @Lixoft.
    - Lixoft Activate : manage "cannot connect to url" error by asking user to go on a web site or tosend an email.

Bugs Fixes:
    - IOV Problem with R2010bSP1
    - perlScripts : bug in the management of the configuration file for [program-execute-options] and run on a cluster.
    - add 'rlmutil.exe' for windows packages (forgotten in previous packages).
    - problem floating license.
    - warnings for occasions without dose were removed.
    - when the last Individual/Occasion had no dose, Monolix crashed.
    - When there were syntax errors in the structural model, monolix said that it could not find the file instead of giving the MLXTRAN message
    - NaN observations are now mentionned as error when algorithms are launched.
    - Update documentation : in batch mode section, there is a bad path.


--------------

  Monolix 4.1.3-sp1 (2012-05-21)

Bug Fixes:
    - GUI:
        * Check Initial Fixed Effects interface crashed when creating covariate and parameter s sliders for some sizes

--------------

  Monolix 4.1.3 (2012-05-02)

New Features:
    - MLXTran model: allows negative categories
    - License management: uses RLM as license provider
    - Compiler manager: adds the possibility to choose the embedded compiler
    - The Monolix and Matlab versions are now stored in the algorithm result files

Bug Fixes:
    - MLXTRAN project: 
        - continuous transformation can take a mathematical expression
        - problem with structural model path
    - MLXTRAN model:
        - Under Linux 64 bits, due to library conflicts with Matlab R2010b and following versions, the multi-threaded
          loading of the model description for the project occasionally fails
        - The last table variable only is recorded, overwriting the first one
    - Graphics: 
       - log / linear works on all graphics
       - when log-log scale is set for "observed versus predicted", the diagonal line is not displayed anymore
    - GUI:
        - editor call did not work
    - Algorithms:
        * bug for individuals without some type of observations and with IOV computing conditional mode
        * bug when there were continuous outputs after discrete outputs
        * Fisher Information Matrix by Stochastic Appoximation does now handle the case better when there is 
          no parameter to estimate in the residual error
    - Session:
        * when the directory monolixData/monolix<version> is renamed during an active Monolix session, stopping 
          Monolix caused an exit of Matlab. 


--------------

  Monolix 4.1.2: (2012-03-05)

--------------

New Features:
    - PerlScripts : possibility to save the results in the project directory instead of the output directory
    - In system.xmlx : automatically creates a directory hierarchy for "monolixData" path

Enhancements:
    - MLXTran (structural model) multi-threading processing enhancement

Bug Fixes:
    - Batch Processing failed when a very large number of projects were launched
    - MDV column: when MDV=2 only the regression variables were taken into account
    - Fixed a bug in graphics saving
    - Fixed error when an empty result folder was timestamped
    - Simulation of categorical data, whenever no category 0 is defined
    - Fixed take into account UserPath defined in 'system.xmlx' for the preference file saving


--------------

  Monolix 4.1.1: (2012-02-13)

--------------

New Features:
    - timestamped backup
    - preferences interface
    - tools menu for activating license and preferences
    - option for locking structural model modifications
    - Project-MLXTRAN grammar modification : initialization of parameter is written now as beta_{pi,cov}, pop_{pi}, omega_{pi}, ...
    - save graphics as png / ps / jpg / bmp or tiff
    - selection of graphics/tables to be saved

Bug Fixes:
    - Project-MLXTran: user can define the result folder
    - LoQ difference between 3.2 and 4.1
    - statistical test for error model and covariate model
    - xmlx loading from 3.2 to 4.1
    - correlation (levelName consistence with IOV) + parser error
    - observation model (prediction = observation name)
    - path for MONOLIX user profile can include special characters 



--------------

  Monolix 4.1.0: (2012-01-23)

--------------

psmlx:
    - compatible with the mlxtran format of projects
    - available on Windows OS

mlxtran:
    - new syntax
    - PK macros
    - RTTE models

license:
    - interface to install the license file

Interface:
    - setting for axes' limits
    - information for the observation model
    - shortcut for model libraries

File system:
    - improved handling of special characters for filepaths

Demos:
    - updated for the new mlxtran syntax
    - dispatch of the model library for demos

Known Bugs:
    - under Windows OS, user directory cannot contain special characters other than spaces



--------------

  Monolix 4.0.1: (2011-10-27)

--------------

psmlx:
    - use-matlab option didn't work in command line mode
    - multi-threading : multhreading didn't work
    - take into account the p.coded files

mlxtran 
    - problem with FIM options : both linearization and stochasticApproximation appeared after a save with stochasticApproximation option set
    - avoid the unloading of project when settings files does not exist : default settings are loaded
license:
    - multi write database didn't work well in multi-threading mode

Interface:
    - save lists
    - configuration panel 
    - launching some graphics alone is now possible
    - graphics were closed when "Use last estimates" were used
    - when monolix was launched twice without loading or creating a project, two toolbars were created

Algorithm and simulations:
    - simulation works now with dataset without EVID column and with MDV column

Results:
    - the graphics fit now to the paper in .ps files
    - xLabels were wrong for some graphics when several regression variables were present
    - some graphics  crashed when launched after some hypotheses tests were done
    - Visual studio redistribuable problem

